com.r3corda.core.contracts / BilateralNettableState

# BilateralNettableState

`interface BilateralNettableState<T : BilateralNettableState<T>>`

Interface for state objects that support being netted with other state objects.

### Properties

bilateralNetState | `abstract val bilateralNetState: Any` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

### Functions

net | `abstract fun net(other: T): T` Perform bilateral netting of this state with another state. The two states must be compatible (as in bilateralNetState objects are equal).

### Inheritors

State | `data class State<P> : FungibleAssetState<P, IssuanceDefinition<P>>, BilateralNettableState<State<P>>` A state representing the obligation of one party (obligor) to deliver a specified number of units of an underlying asset (described as issuanceDef.acceptableIssuedProducts) to the beneficiary no later than the specified time.